<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<link rel="stylesheet" media="all" href="main.css">
<title>Why Unleashed</title>
</head>
<body>
<main>
<article>
<header>
<h1>Why Unleashed</h1>
</header>
<p>
Why did we decide to fork illumos? After all, there are already many illumos
distributions available to choose from. We felt we could do better than any
of them by taking a more aggressive stance toward compatibility and
reducing cruft from code and community interactions alike.
</p>
<p>
The following are some of the primary features of Unleashed that address the
shortcomings we perceive in illumos:
<ul>
  <li>We are completely open source. Unlike illumos, we neither ship nor
  depend on closed-source binary blobs.</li>
  <li>We are a complete installable operating system, not an incomplete base
  for &ldquo;distros&rdquo;.</li>
  <li>We have periodic releases: roughly one every 3 months. We make a best
  effort to provide security patches between releases.</li>
  <li>We have no <kbd>uname</kbd> identity crisis: we are
  <samp>Unleashed</samp>.  illumos identifies as <samp>SunOS 5.11</samp>,
  despite being quite different from Solaris&nbsp;11.</li>
  <li>We are modernizing the system through removal of legacy. We are 
  binary-incompatible with Solaris, which has allowed us to remove a
  <em>lot</em> of cruft. Releases may break ABIs, since everything can be
  recompiled.</li>
  <li>We are moving toward sensible defaults, instead of retaining API
  backward compatibility forever. On illumos, the default compilation
  environment is ancient, and you must specify arcane compiler flags or link
  with additional libraries if you want anything newer. We want
  <kbd>./configure</kbd> to be enough for most software.</li>
  <li>We have clear leadership. There is no decision-making committee; we
  have a BDFL instead.</li>
</ul>
</p>
<footer>
<a href="/">Back to main page</a>
</footer>
</article>
</main>
</body>
</html>
